.view-programm .view-grouping .view-grouping-header {
  font-size: 20px;
  font-weight: 400;
  color: #c00;
  margin: 12px 8px 8px;
}

.view-programm .views-row-group,
.view-archive.view-display-id-page_2 .views-row-group {
  display: flex;
  margin: 0 10px;
  flex-direction: column;
}

.view-programm .views-row-group:last-child,
.view-archive.view-display-id-page_2 .views-row-group:last-child {
  border-bottom: 0;
}

.view-programm .views-row-group .views-row,
.view-archive.view-display-id-page_2 .views-row-group .views-row {
  border-bottom: 1px solid #cccccc;
  margin: 4px 0 0;
  padding: 12px 8px 4px;
}

.view-programm .views-row-group .views-row.odd,
.view-archive.view-display-id-page_2 .views-row-group .views-row.odd {
  padding-left: 0;
}

.view-programm .views-row-group .views-row:last-child,
.view-archive.view-display-id-page_2 .views-row-group .views-row:last-child {
  border-right: none;
  margin-right: 0;
  padding-right: 0;
}

@media (width >= 768px) {

  .view-programm .views-row-group,
  .view-archive.view-display-id-page_2 .views-row-group {
    flex-direction: row;
    flex-wrap: wrap;
    border-bottom: 1px solid #cccccc;
  }

  .view-programm .views-row-group .views-row,
  .view-archive.view-display-id-page_2 .views-row-group .views-row {
    --padding: 12px;
    border-right: 1px solid #cccccc;
    padding-right: 4px;
    padding-top: var(--padding);
    flex: calc(50% - var(--padding));
    margin-bottom: 4px;
  }

  .view-programm .views-row-group .views-row:last-child,
  .view-archive.view-display-id-page_2 .views-row-group .views-row:last-child,
  .view-programm .views-row-group--even .views-row:nth-last-child(2),
  .view-archive.view-display-id-page_2 .views-row-group--even .views-row:nth-last-child(2) {
    border-bottom: 0;
  }

  .view-programm .views-row-group .views-row.even,
  .view-archive.view-display-id-page_2 .views-row-group .views-row.even {
    border-right: 0;
  }

  .view-programm .views-row-group--length-1 .views-row,
  .view-archive.view-display-id-page_2 .views-row-group--length-1 .views-row {
    flex: 100%;
  }
}

@media (width >= 1200px) {

  .view-programm .views-row-group .views-row,
  .view-archive.view-display-id-page_2 .views-row-group .views-row {
    flex: 25%;
    padding-top: 8px;
    padding-bottom: 0;
  }

  .view-programm .views-row-group--length-1,
  .view-archive.view-display-id-page_2 .views-row-group--length-1,
  .view-programm .views-row-group--length-2,
  .view-archive.view-display-id-page_2 .views-row-group--length-2,
  .view-programm .views-row-group--length-3,
  .view-archive.view-display-id-page_2 .views-row-group--length-3 {
    flex-wrap: nowrap;
  }

  .view-programm .views-row-group--length-1 .views-row,
  .view-archive.view-display-id-page_2 .views-row-group--length-1 .views-row {
    flex: auto;
    border-bottom: 0;
  }

  .view-programm .views-row-group--length-2 .views-row,
  .view-archive.view-display-id-page_2 .views-row-group--length-2 .views-row {
    padding-top: 8px;
    flex: auto;
    border-bottom: 0;
  }

  .view-programm .views-row-group--length-3 .views-row,
  .view-archive.view-display-id-page_2 .views-row-group--length-3 .views-row {
    padding-top: 8px;
    flex: auto;
    border-bottom: 0;
  }

  .view-programm .views-row-group .views-row.even,
  .view-archive.view-display-id-page_2 .views-row-group .views-row.even {
    border-right: 1px solid #cccccc;
  }

  .view-programm .views-row-group .views-row.odd,
  .view-archive.view-display-id-page_2 .views-row-group .views-row.odd {
    padding-left: 8px;
  }

  .view-programm .views-row-group .views-row:first-child,
  .view-archive.view-display-id-page_2 .views-row-group .views-row:first-child {
    padding-left: 0;
  }

  .view-programm .views-row-group .views-row:last-child,
  .view-archive.view-display-id-page_2 .views-row-group .views-row:last-child,
  .view-programm .views-row-group .views-row:nth-child(4n),
  .view-archive.view-display-id-page_2 .views-row-group .views-row:nth-child(4n) {
    border-right: 0;
  }
}

@media (width >= 1400px) {

  .view-programm .views-row-group,
  .view-archive.view-display-id-page_2 .views-row-group {
    flex-wrap: nowrap;
  }

  .view-programm .views-row-group .views-row,
  .view-archive.view-display-id-page_2 .views-row-group .views-row {
    border-bottom: 0;
    flex: auto;
    padding-top: 8px;
    padding-bottom: 0;
  }
}